Package Details: dataspell-jre 2024.1-1

Git Clone URL: https://aur.archlinux.org/dataspell.git (read-only, click to copy)
Package Base: dataspell
Description: JBR (JetBrains Runtime) for DataSpell - a patched JRE
Upstream URL: https://github.com/JetBrains/JetBrainsRuntime
Licenses: custom:jetbrains
Submitter: freswa
Maintainer: freswa
Last Packager: freswa
Votes: 2
Popularity: 0.015081
First Submitted: 2021-08-03 17:03 (UTC)
Last Updated: 2024-04-04 09:44 (UTC)

Latest Comments

freswa commented on 2023-01-11 10:31 (UTC)

Missed the "${pkgdir}" for the chmod. Should be fixed with -2.

Firestar commented on 2023-01-11 00:59 (UTC) (edited on 2023-01-11 08:11 (UTC) by Firestar)

when installing it via yay, it run into an error:

chmod: cannot access '/opt/dataspell/plugins/r-plugin/rwrapper*linux': No such file or directory

so I deleted that line in PKGBUILD and re-installed. This time it succeeded, but:

$ ls /opt/dataspell/plugins/r-plugin/
fsnotifier-linux          fsnotifier-osx          lib  rkernelVersion.txt    rwrapper-arm64-osx  rwrapper-x64-osx
fsnotifier-linux-aarch64  fsnotifier-windows.exe  R    rwrapper-arm64-linux  rwrapper-x64-linux  rwrapper-x64-windows.exe

<deleted-account> commented on 2022-12-13 12:58 (UTC)

The rwrappers in '/opt/dataspell/plugins/r-plugin' needs to be marked as executable for R to work in dataspell.

freswa commented on 2021-11-10 10:59 (UTC)

No worries, it is maintained. They just changed the naming scheme of the archive and my nvchecker config didn't pick it up. Sorry.

libklein commented on 2021-11-10 08:59 (UTC)

Is this package still actively maintained? I'd be happy to take over if that is not the case.